| v_hdmitx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiTx1_Stream Struct Reference

This typedef contains HDMI TX stream specific data structure. More...

## Data Fields
XVidC_VideoStream | Video
| Video stream for HDMI TX. More...
XVidC_PixelsPerClock | CorePixPerClk
| Core operates at a fixed 4PPC. More...
XV_HdmiTx1_AudioStream | Audio
| Audio stream for HDMI TX. More...
XV_HdmiTx1_Frl | Frl
| FRL for HDMI TX. More...
u8 | Vic
| Video Identification code flag. More...
u8 | ScdcSupport
| SCDC Support flag. More...
u8 | ScdcEd [11]
| SCDC - Character Error Detection Readings. More...
u8 | IsScrambled
| Scrambler flag 1 - scrambled data , 0 - non scrambled data. More...
u8 | OverrideScrambler
| Override scramble flag. More...
u64 | TMDSClock
| TMDS clock. More...
u8 | TMDSClockRatio
| TMDS clock ration 0 - 1/10, 1 - 1/40. More...
u64 | PixelClk
| Pixel Clock. More...
XV_HdmiTx1_State | State
| State. More...
u8 | IsConnected
| Connected flag. More...
u8 | SampleRate
| Sample rate. More...

## Detailed Description

This typedef contains HDMI TX stream specific data structure.

## Field Documentation

XV_HdmiTx1_AudioStream XV_HdmiTx1_Stream::Audio

Audio stream for HDMI TX.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_FRLACRStart(), and XV_HdmiTx1_TMDSACRStart().

XVidC_PixelsPerClock XV_HdmiTx1_Stream::CorePixPerClk

Core operates at a fixed 4PPC.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetPixelRate().

XV_HdmiTx1_Frl XV_HdmiTx1_Stream::Frl

FRL for HDMI TX.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_ClearFrlWrongLtp(), XV_HdmiTx1_ExecFrlState(), XV_HdmiTx1_FRLACRStart(), XV_HdmiTx1_FrlRate(), XV_HdmiTx1_FrlTrainingInit(), XV_HdmiTx1_SetFrlMaxFrlRate(), XV_HdmiTx1_SetFrlWrongLtp(), XV_HdmiTx1_StartFrlTraining(), and XV_HdmiTx1_StartTmdsMode().

u8 XV_HdmiTx1_Stream::IsConnected

Connected flag.

This flag is set when the cable is connected

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_IsStreamConnected().

u8 XV_HdmiTx1_Stream::IsScrambled

Scrambler flag 1 - scrambled data , 0 - non scrambled data.

Referenced by XV_HdmiTx1_IsStreamScrambled(), XV_HdmiTx1_Scrambler(), and XV_HdmiTx1_SetStream().

u8 XV_HdmiTx1_Stream::OverrideScrambler

Override scramble flag.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_Scrambler().

u64 XV_HdmiTx1_Stream::PixelClk

Pixel Clock.

Referenced by XV_HdmiTx1_GetTmdsClk().

u8 XV_HdmiTx1_Stream::SampleRate

Sample rate.

Referenced by XV_HdmiTx1_SetSampleRate().

u8 XV_HdmiTx1_Stream::ScdcEd[11]

SCDC - Character Error Detection Readings.

Referenced by XV_HdmiTx1_GetScdcEdRegisters().

u8 XV_HdmiTx1_Stream::ScdcSupport

SCDC Support flag.

Referenced by XV_HdmiTx1_ClockRatio(), XV_HdmiTx1_DetectHdmi20(), XV_HdmiTx1_FrlRate(), XV_HdmiTx1_Scrambler(), and XV_HdmiTx1_SetStream().

XV_HdmiTx1_State XV_HdmiTx1_Stream::State

State.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_FrlStreamStart(), and XV_HdmiTx1_FrlStreamStop().

u64 XV_HdmiTx1_Stream::TMDSClock

TMDS clock.

Referenced by XV_HdmiTx1_Scrambler(), XV_HdmiTx1_SetStream(), and XV_HdmiTx1_TMDSACRStart().

u8 XV_HdmiTx1_Stream::TMDSClockRatio

TMDS clock ration 0 - 1/10, 1 - 1/40.

Referenced by XV_HdmiTx1_ClockRatio(), and XV_HdmiTx1_SetStream().

u8 XV_HdmiTx1_Stream::Vic

Video Identification code flag.

XVidC_VideoStream XV_HdmiTx1_Stream::Video

Video stream for HDMI TX.

Referenced by XV_HdmiTx1_GetTmdsClk(), XV_HdmiTx1_Info(), XV_HdmiTx1_SetColorDepth(), XV_HdmiTx1_SetColorFormat(), and XV_HdmiTx1_SetStream().